Subject: Re: bug#63432: 30.0.50; Handle current-prefix-arg in async-shell-command

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 May 2023 21:23:26 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  Stefan Monnier <[email-masked]>,
>   [email-masked]
> Date: Mon, 15 May 2023 20:17:00 +0300
> 
> > Btw, I've noticed that the ERROR-BUFFER argument is ignored by
> > async-shell-command, and OUTPUT-BUFFER is not documented.  So I've now
> > fixed the doc string to correct these deficiencies.
> >
> > (I wonder why was ERROR-BUFFER at all provided in this function in the
> > first place, since the underlying shell-command cannot support it.
> > Maybe we should have an advertised-calling-convention there which
> > excludes it?)
> 
> Keeping the same function signatures for shell-command and async-shell-command
> would allow to implement the error-buffer support for the latter in future.

That's fine, but then it would have been better to mention this in a
comment.  Because otherwise it just looks like a copy-pasta error
(after one wastes some time to figure out that it is basically
unused).